%global enable_tests 1
%global srcname async-cache

Name:           nodejs-%{srcname}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Cache your async lookups and don't fetch the same thing more than necessary
License:        ISC
URL:            https://github.com/isaacs/async-cache
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json ac.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tap test/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Aug 29 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-1
- Initial package
